package com.logicbig.example;

import org.springframework.cache.Cache;
import org.springframework.cache.CacheManager;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;


public class ExampleMain2 {

    public static void main(String[] args) {
        AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext(AppConfig.class);
        EmployeeService2 employeeService = context.getBean(EmployeeService2.class);

        System.out.println("-- getting dept list --");
        String[] depts = employeeService.getDepartments();
        System.out.println("depts returned: " + depts);

        System.out.println("-- getting all employee list --");
        Employee[] allEmployees = employeeService.getAllEmployees();
        System.out.println("all employees returned: " + allEmployees);

        CacheManager cm = context.getBean(CacheManager.class);
        Cache cache = cm.getCache("employee-cache");
        System.out.println(cache.getNativeCache());
    }
}